> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ドキュメントの生成

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = localizeLink(href);
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

`POST /2.0/docgen_batches`エンドポイントを使用すると、Box Doc Genテンプレートを入力データとして使用してドキュメントを生成できます。

## 前提条件

Box Doc Gen APIの使用を開始する前に、<Link href="/guides/docgen/docgen-getting-started">Box Doc Genの使い方</Link>ガイドに記載されている手順に従って、PlatformアプリとBox Doc Genテンプレートを作成してください。

## リクエストの送信

ドキュメント (複数可) を生成するには、`POST /2.0/docgen_batches`エンドポイントを使用します。

### パラメータ

コールを実行するには、以下のパラメータを渡す必要があります。必須のパラメータは**太字**で示されています。

| パラメータ                                              | 説明                                                               | 例                                                            |
| -------------------------------------------------- | ---------------------------------------------------------------- | ------------------------------------------------------------ |
| **`file.id`**                                      | Box Doc Genテンプレートとして設定するファイルのID。                                 | `12345678`                                                   |
| **`file.type`**                                    | 指定した入力データの種類。値は常に**`file`**になります。                                | `file`                                                       |
| `file_version`                                     | テンプレートのファイルバージョン。                                                | `12345`                                                      |
| **`input_source`**                                 | 生成されるドキュメントの入力ソース。この値は、APIベースのすべてのドキュメント生成リクエストで`api`にする必要があります。 | `api`                                                        |
| **`output_type`**                                  | 出力ファイルの種類。                                                       | `docx`, `pdf`                                                |
| **`destination_folder.id`**                        | 生成されたドキュメントが保存されるフォルダのID。                                        | `12345678`                                                   |
| **`destination_folder.type`**                      | 保存先の項目の種類。生成されたファイルはフォルダに保存されるため、値は常に**`folder`**になります。          | `file`                                                       |
| **`document_generation_data.generated_file_name`** | 生成されるファイルの名前。                                                    | `New_Template`                                               |
| **`document_generation_data.user_input`**          | ドキュメントの生成に使用するJSONデータ。                                           | `{"id": 2, "name": "Ink  Cartridge", "type": "non-fragile"}` |

## ユースケース

Box Doc GenテンプレートとJSONデータを準備できたら、Box Doc Gen APIにドキュメント生成のリクエストを行うことができます。

コールのサンプルは次のようになります。

<CodeGroup>
  ```sh cURL theme={null}
  curl -L 'https://api.box.com/2.0/docgen_batches' \
       -H 'box-version: 2025.0' \
       -H 'Authorization: Bearer <ACCESS_TOKEN>' \
       -D '{
          "file": {
              "id": "12345678",
              "type": "file"
          },
          "input_source": "api",
          "destination_folder": {
              "id": "12345678",
              "type": "folder"
          },
          "output_type": "docx",
          "document_generation_data": [
              {
                  "generated_file_name": "Image test",
                  "user_input": {
                      "order": {
                          "id": "12305",
                          "date": "18-08-2023",
                          "country": "US",
                          "expiryDate": "18-08-2024",
                          "currency": "$",
                          "amount": 5060.5,
                          "taxRate": 10,
                          "requester": "John",
                          "approver": "Smith",
                          "department": "Procurement",
                          "paymentTerms": "30 days",
                          "deliveryTerms": "30 days",
                          "deliveryDate": "18-09-2023",
                          "vendor": {
                              "company": "Example company",
                              "address": {
                                  "street": "Example street",
                                  "city": "Example city",
                                  "zip": "EX-456"
                              }
                          },
                          "products": [
                              {
                                  "id": 1,
                                  "name": "A4 Papers",
                                  "type": "non-fragile",
                                  "quantity": 100,
                                  "price": 29,
                                  "amount": 2900
                              },
                              {
                                  "id": 2,
                                  "name": "Ink  Cartridge",
                                  "type": "non-fragile",
                                  "quantity": 40,
                                  "price": 39,
                                  "amount": 1560
                              },
                              {
                                  "id": 3,
                                  "name": "Adhesive tape",
                                  "type": "non-fragile",
                                  "quantity": 20,
                                  "price": 30,
                                  "amount": 600.5
                              }
                          ]
                      }
                  }
              }
          ]`
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.docgen.createDocgenBatchV2025R0({
    file: new FileReferenceV2025R0({ id: uploadedFile.id }),
    inputSource: 'api',
    destinationFolder: new DocGenBatchCreateRequestV2025R0DestinationFolderField({
      id: folder.id,
    }),
    outputType: 'pdf',
    documentGenerationData: [
      {
        generatedFileName: 'test',
        userInput: { ['abc']: 'xyz' },
      } satisfies DocGenDocumentGenerationDataV2025R0,
    ],
  } satisfies DocGenBatchCreateRequestV2025R0);
  ```

  ```python Python v10 theme={null}
  client.docgen.create_docgen_batch_v2025_r0(
      FileReferenceV2025R0(id=uploaded_file.id),
      "api",
      CreateDocgenBatchV2025R0DestinationFolder(id=folder.id),
      "pdf",
      [
          DocGenDocumentGenerationDataV2025R0(
              generated_file_name="test", user_input={"abc": "xyz"}
          )
      ],
  )
  ```

  ```cs .NET v10 theme={null}
  await client.Docgen.CreateDocgenBatchV2025R0Async(requestBody: new DocGenBatchCreateRequestV2025R0(file: new FileReferenceV2025R0(id: uploadedFile.Id), inputSource: "api", destinationFolder: new DocGenBatchCreateRequestV2025R0DestinationFolderField(id: folder.Id), outputType: "pdf", documentGenerationData: Array.AsReadOnly(new [] {new DocGenDocumentGenerationDataV2025R0(generatedFileName: "test", userInput: new Dictionary<string, object>() { { "abc", "xyz" } })})));
  ```

  ```swift Swift v10 theme={null}
  try await client.docgen.createDocgenBatchV2025R0(requestBody: DocGenBatchCreateRequestV2025R0(file: FileReferenceV2025R0(id: uploadedFile.id), inputSource: "api", destinationFolder: DocGenBatchCreateRequestV2025R0DestinationFolderField(id: folder.id), outputType: "pdf", documentGenerationData: [DocGenDocumentGenerationDataV2025R0(generatedFileName: "test", userInput: ["abc": "xyz"])]))
  ```

  ```java Java v10 theme={null}
  client.getDocgen().createDocgenBatchV2025R0(new DocGenBatchCreateRequestV2025R0(new FileReferenceV2025R0(uploadedFile.getId()), "api", new DocGenBatchCreateRequestV2025R0DestinationFolderField(folder.getId()), "pdf", Arrays.asList(new DocGenDocumentGenerationDataV2025R0("test", mapOf(entryOf("abc", "xyz"))))))
  ```
</CodeGroup>

リクエストが処理されている間、`document_generation_data`配列の各エントリは個別のドキュメント生成ジョブとして処理され、そのジョブは、Box Doc Genによってドキュメント生成キューに追加されます。

生成されたドキュメントは、指定したフォルダに保存されます。

<RelatedLinks
  title="関連するガイド"
  items={[
{ label: translate("Get started with Box Doc Gen"), href: "/guides/docgen/docgen-getting-started", badge: "GUIDE" },
{ label: translate("Mark file as Box Doc Gen template"), href: "/guides/docgen/mark-template", badge: "GUIDE" }
]}
/>
